import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdDeliveryPlanPositionMaterial } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-19 18:50
 */
interface AdDeliveryPlanPositionMaterialCU extends ConditionUtil<AdDeliveryPlanPositionMaterialCU> {
    AD_DELIVERY_PLAN_ID: FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    AD_POSITION_ID: FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    AD_MATERIAL_ID: FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    AD_STYLE_ID: FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    DEL_FLAG: FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    AD_INFO_ID: FieldUtil<AdDeliveryPlanPositionMaterialCU>;
}
declare class AdDeliveryPlanPositionMaterialMU extends TableUtilImpl<AdDeliveryPlanPositionMaterialCU, AdDeliveryPlanPositionMaterial> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdDeliveryPlanPositionMaterialCU;
    static get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    static get AD_POSITION_ID(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    static get AD_MATERIAL_ID(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    static get AD_STYLE_ID(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    static get DEL_FLAG(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    static get AD_INFO_ID(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    get AD_DELIVERY_PLAN_ID(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    get AD_POSITION_ID(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    get AD_MATERIAL_ID(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    get AD_STYLE_ID(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    get DEL_FLAG(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
    get AD_INFO_ID(): FieldUtil<AdDeliveryPlanPositionMaterialCU>;
}
export { AdDeliveryPlanPositionMaterialMU, AdDeliveryPlanPositionMaterialCU };
